Loading...
Searching...
No Matches
ClpPEPrimalColumnDantzig Class Reference

`#include <ClpPEPrimalColumnDantzig.hpp>`

Inheritance diagram for ClpPEPrimalColumnDantzig:
[legend]
Collaboration diagram for ClpPEPrimalColumnDantzig:
[legend]

## Public Member Functions

| ClpPEPrimalColumnDantzig (double psi=0.5)
| constructors
| ClpPEPrimalColumnDantzig (const ClpPEPrimalColumnDantzig &)
| ~ClpPEPrimalColumnDantzig ()
| destructor
ClpPEPrimalColumnDantzig & | operator= (const ClpPEPrimalColumnDantzig &rhs)
| assignment operator
ClpPrimalColumnPivot * | clone (bool copyData=true) const
| clone
virtual int | pivotColumn (CoinIndexedVector *updates, CoinIndexedVector *spareRow1, CoinIndexedVector *spareRow2, CoinIndexedVector *spareColumn1, CoinIndexedVector *spareColumn2)
| Returns pivot column, -1 if none.
virtual void | saveWeights (ClpSimplex *model, int mode)
| Save weights - this may initialize weights as well This is as parent but may initialize ClpPESimplex.
Public Member Functions inherited from ClpPrimalColumnDantzig
| ClpPrimalColumnDantzig ()
| Default Constructor.
| ClpPrimalColumnDantzig (const ClpPrimalColumnDantzig &)
| Copy constructor.
ClpPrimalColumnDantzig & | operator= (const ClpPrimalColumnDantzig &rhs)
| Assignment operator.
virtual | ~ClpPrimalColumnDantzig ()
| Destructor.
Public Member Functions inherited from ClpPrimalColumnPivot
virtual void | updateWeights (CoinIndexedVector *input)
| Updates weights - part 1 (may be empty).
virtual int | pivotRow (double &way)
| Signals pivot row choice: -2 (default) - use normal pivot row choice -1 to numberRows-1 - use this (will be checked) way should be -1 to go to lower bound, +1 to upper bound.
virtual void | clearArrays ()
| Gets rid of all arrays (may be empty).
virtual bool | looksOptimal () const
| Returns true if would not find any column.
virtual void | setLooksOptimal (bool flag)
| Sets optimality flag (for advanced use).
| ClpPrimalColumnPivot ()
| Default Constructor.
| ClpPrimalColumnPivot (const ClpPrimalColumnPivot &)
| Copy constructor.
ClpPrimalColumnPivot & | operator= (const ClpPrimalColumnPivot &rhs)
| Assignment operator.
virtual | ~ClpPrimalColumnPivot ()
| Destructor.
ClpSimplex * | model ()
| Returns model.
void | setModel (ClpSimplex *newmodel)
| Sets model.
int | type ()
| Returns type (above 63 is extra information).
virtual int | numberSprintColumns (int &numberIterations) const
| Returns number of extra columns for sprint algorithm - 0 means off.
virtual void | switchOffSprint ()
| Switch off sprint idea.
virtual void | maximumPivotsChanged ()
| Called when maximum pivots changes.

## Private Attributes

ClpPESimplex * | modelPE_
double | psi_
int | iCurrent_
int | iInterval_
int | coDegenCompatibles_
int | coConsecutiveCompatibles_
bool | updateCompatibles_

## Additional Inherited Members

Protected Attributes inherited from ClpPrimalColumnPivot
ClpSimplex * | model_
| Pointer to model.
int | type_
| Type of column pivot algorithm.
bool | looksOptimal_
| Says if looks optimal (normally computed).

## Detailed Description

Definition at line 23 of file ClpPEPrimalColumnDantzig.hpp.

## Constructor & Destructor Documentation

## ClpPEPrimalColumnDantzig() [1/2]

ClpPEPrimalColumnDantzig::ClpPEPrimalColumnDantzig | ( | double | psi = 0.5 | ) |

constructors

## ClpPEPrimalColumnDantzig() [2/2]

ClpPEPrimalColumnDantzig::ClpPEPrimalColumnDantzig | ( | const ClpPEPrimalColumnDantzig & |  | ) |

## ~ClpPEPrimalColumnDantzig()

ClpPEPrimalColumnDantzig::~ClpPEPrimalColumnDantzig | ( |  | ) |

destructor

## Member Function Documentation

## operator=()

ClpPEPrimalColumnDantzig & ClpPEPrimalColumnDantzig::operator= | ( | const ClpPEPrimalColumnDantzig & | rhs | ) |

assignment operator

## clone()

ClpPrimalColumnPivot * ClpPEPrimalColumnDantzig::clone | ( | bool | copyData = true | ) | const

virtual

clone

Reimplemented from ClpPrimalColumnDantzig.

## pivotColumn()

virtual int ClpPEPrimalColumnDantzig::pivotColumn | ( | CoinIndexedVector * | updates,
|  | CoinIndexedVector * | spareRow1,
|  | CoinIndexedVector * | spareRow2,
|  | CoinIndexedVector * | spareColumn1,
|  | CoinIndexedVector * | spareColumn2 )

virtual

Returns pivot column, -1 if none.

Lumbers over all columns - slow The Packed CoinIndexedVector updates has cost updates - for normal LP that is just +-weight where a feasibility changed. It also has reduced cost from last iteration in pivot row Can just do full price if you really want to be slow

Reimplemented from ClpPrimalColumnDantzig.

## saveWeights()

virtual void ClpPEPrimalColumnDantzig::saveWeights | ( | ClpSimplex * | model,
|  | int | mode )

virtual

Save weights - this may initialize weights as well This is as parent but may initialize ClpPESimplex.

Reimplemented from ClpPrimalColumnDantzig.

## Member Data Documentation

## modelPE_

ClpPESimplex* ClpPEPrimalColumnDantzig::modelPE_

private

Definition at line 53 of file ClpPEPrimalColumnDantzig.hpp.

## psi_

double ClpPEPrimalColumnDantzig::psi_

private

Definition at line 57 of file ClpPEPrimalColumnDantzig.hpp.

## iCurrent_

int ClpPEPrimalColumnDantzig::iCurrent_

private

Definition at line 60 of file ClpPEPrimalColumnDantzig.hpp.

## iInterval_

int ClpPEPrimalColumnDantzig::iInterval_

private

Definition at line 61 of file ClpPEPrimalColumnDantzig.hpp.

## coDegenCompatibles_

int ClpPEPrimalColumnDantzig::coDegenCompatibles_

private

Definition at line 64 of file ClpPEPrimalColumnDantzig.hpp.

## coConsecutiveCompatibles_

int ClpPEPrimalColumnDantzig::coConsecutiveCompatibles_

private

Definition at line 65 of file ClpPEPrimalColumnDantzig.hpp.

## updateCompatibles_

bool ClpPEPrimalColumnDantzig::updateCompatibles_

private

Definition at line 66 of file ClpPEPrimalColumnDantzig.hpp.

The documentation for this class was generated from the following file:

- Clp/src/ClpPEPrimalColumnDantzig.hpp